%global srcname traitlets

Summary:        A lightweight derivative of Enthought Traits for configuring Python objects
Name:           python-%{srcname}
Version:        5.13.0
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/ipython/traitlets
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

%description
Traitlets is a pure Python library enabling:

 - the enforcement of strong typing for attributes of Python objects
   (typed attributes are called "traits");
 - dynamically calculated default values;
 - automatic validation and coercion of trait attributes when attempting a change;
 - registering for receiving notifications when trait values change;
 - reading configuring values from files or from command line arguments -
   a distinct layer on top of traitlets, so you may use traitlets without the configuration machinery.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        A lightweight derivative of Enthought Traits for configuring Python objects
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest python%{python3_pkgversion}-pytest-mock
BuildRequires:  python%{python3_pkgversion}-argcomplete

%description -n python%{python3_pkgversion}-%{srcname}
Traitlets is a pure Python library enabling:

 - the enforcement of strong typing for attributes of Python objects
   (typed attributes are called "traits");
 - dynamically calculated default values;
 - automatic validation and coercion of trait attributes when attempting a change;
 - registering for receiving notifications when trait values change;
 - reading configuring values from files or from command line arguments -  
   a distinct layer on top of traitlets, so you may use traitlets without the configuration machinery.


%prep
%autosetup -n %{srcname}-%{version}

rm tests/test_typing.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files traitlets

%check
%pytest -v


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license %{python3_sitelib}/%{srcname}-%{version}.dist-info/licenses/LICENSE
%doc README.md


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.13.0-2
- Rebuilt for loongarch release

* Thu May 09 2024 Upgrade Robot <upbot@opencloudos.tech> - 5.13.0-1
- Upgrade to version 5.13.0 for ipython 8.24.0.

* Mon Nov 27 2023 Doris Chao <doriscchao@tencent.com> - 5.10.0-2
- Add buildrequires to complete build test part

* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 5.10.0-1
- Bump version to 5.10.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 5.4.0-1
- initial build
